Множественные уязвимости в LimeSurvey

Дата публикации:
29.02.2012
Всего просмотров:
1653
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
LimeSurvey 1.x
Уязвимые версии: LimeSurvey 1.91+ Build 12416, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре full_name в сценарии admin/admin.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Примечание: Для успешной эксплуатации уязвимости action должно быть равно moduser.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре id в сценарии admin/admin.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

Примечание: Для успешной эксплуатации уязвимости action должно быть равно browse.

URL производителя: http://www.limesurvey.org/

Решение: Для устранения уязвимости установите продукт версии 1.91+ Build 120224 с сайта производителя.

Ссылки: http://www.limesurvey.org/en/stable-release
http://freecode.com/projects/limesurvey/releases/342070

или введите имя

CAPTCHA